## LassoSamlAttributeDesignator

LassoSamlAttributeDesignator — object mapping for a saml:AttributeDesignator

## Functions

LassoNode * | lasso_saml_attribute_designator_new ()

## Types and Values

struct | LassoSamlAttributeDesignator

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlAttributeDesignator
                ╰── LassoSamlAttribute

## Description

The schema fragment (oasis-sstc-saml-schema-assertion-1.1.xsd) is:

Figure 25. Schema fragment for saml:AttributeDesignator

    <element name="AttributeDesignator" type="saml:AttributeDesignatorType"/>
    <complexType name="AttributeDesignatorType">
      <attribute name="AttributeName" type="string" use="required"/>
      <attribute name="AttributeNamespace" type="anyURI" use="required"/>
    </complexType>

## Functions

### lasso_saml_attribute_designator_new ()

    LassoNode *
    lasso_saml_attribute_designator_new (void);

Creates a new LassoSamlAttributeDesignator object.

#### Returns

a newly created LassoSamlAttributeDesignator object

## Types and Values

### struct LassoSamlAttributeDesignator

    struct LassoSamlAttributeDesignator {
    	char *AttributeName;
    	char *AttributeNamespace;
    };